Get EHR_STATUS at time
Retrieves a version of the EHR_STATUS associated with the EHR identified by ehr_id.
If version_at_time is supplied, retrieves the version extant at specified time, otherwise retrieves the latest EHR_STATUS version.
Path Parameters
- Type: string
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
Query Parameters
- Type: string
version _at _time A given time in the extended ISO 8601 format.
Responses
- application/json
400 400 Bad Requestis returned when the request has invalid content such as an invalidversion_at_timeformat.404 404 Not Foundis returned when an EHR withehr_iddoes not exist, or when a version of the resource identified by the request parameters (at specifiedversion_at_time) does not exist.
Request Example for get/ehr/{ehr_id}/ehr_status
curl 'https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/ehr_status?version_at_time=2015-01-20T19%3A30%3A22.765%2B01%3A00'
{
"archetype_node_id": "openEHR-EHR-EHR_STATUS.generic.v1",
"name": {
"value": "EHR status"
},
"subject": {
"_type": "PARTY_SELF"
},
"is_queryable": true,
"is_modifiable": true
}